Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class NameAndAddress3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.NameAndAddress3

    public class NameAndAddress3
    extends java.lang.Object

Java class for NameAndAddress3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NameAndAddress3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max70Text"/>
             <element name="Adr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PostalAddress1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PostalAddress1` `adr`
`protected java.lang.String` `nm`

### Constructor Summary

Constructors
`NameAndAddress3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PostalAddress1` `getAdr()` Gets the value of the adr property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`void` `setAdr​(PostalAddress1 value)` Sets the value of the adr property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nm

    protected java.lang.String nm

#### adr

    protected PostalAddress1 adr

### Constructor Detail

#### NameAndAddress3

    public NameAndAddress3()

### Method Detail

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getAdr

    public PostalAddress1 getAdr()

Gets the value of the adr property.

Returns:
  possible object is `PostalAddress1`

#### setAdr

    public void setAdr​(PostalAddress1 value)

Sets the value of the adr property.

Parameters:
  `value` - allowed object is `PostalAddress1`